@import '../styles.scss';

.ng-fa-icon {
  color: $primary;
  margin-left: 0.75rem;
  font-size: 1.25rem;
}

.button {
  background-color: $primary;
  color: $white;
}

.buttons-row {
  display: flex;

  .cancel-button {
    border-radius: 0.25rem;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    margin-left: auto;
    margin-right: 1rem;
  }
}

.post-text {
  font-style: italic;
  color: $gray-500;
  font-size: 16px;
  margin-top: 0.25rem;
  margin-left: 0.25rem;
}

.form-control.no-validate:valid:not(:focus) {
  border-color: $input-border-color !important;
  padding: $input-padding-x;
  background: $input-bg;
  background-image: none !important;
}

.form-control.no-validate:valid:focus {
  border-color: #38b2fe !important;
  padding: $input-padding-x;
  background: $input-bg;
  background-image: none !important;
  box-shadow: 0 0 0 0.2rem rgba(0, 117, 163, 0.25);
}

.form-group {
  .label {
    margin-bottom: 0.25rem;
    display: flex;
  }
}

.modality-title {
  display: inline-block;
  padding-left: 0.5rem;
  margin-bottom: 0 !important;
}

input:checked {
  background-color: $primary;
}

.card {
  margin-bottom: 2rem;
}

.section {
  margin-bottom: 2rem;
}

.back-to-edit-button {
  margin-top: auto;
}

.collapse-preview-button {
  background-color: $primary;
  color: $white;
  border: none;
}

.collapse-preview-button:hover {
  color: $gray-300;

  .chevron {
    color: $gray-300;
  }
}

.collapse-preview-button:focus,
.collapse-preview-button:active,
.collapse-preview-button:focus:active {
  outline: none;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.card-header {
  display: flex;

  .collapse-edit-button {
    margin-left: auto;
  }
}

.collapse-edit-button {
  background-color: transparent;
  color: $primary !important;
  border: none;

  .chevron {
    color: $primary;
  }
}

.collapse-edit-button:hover {
  color: $gray-300;

  .chevron {
    color: $gray-300;
  }
}

.collapse-edit-button:focus,
.collapse-edit-button:active,
.collapse-edit-button:focus:active {
  outline: none;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.chevron {
  color: $white;
  font-size: small;
  margin-left: 0.75rem;
  margin-top: 0.5rem;
}

.chevron:hover {
  color: $gray-300;
}

.bold-text {
  font-weight: 700;
}

.footer-date-button-line {
  display: flex;
  align-items: center;

  p:first-of-type {
    border-right: solid 1px $gray-400;
    padding-right: 0.5rem;
    margin-bottom: 0 !important;
    margin-right: 0.5rem !important;
  }

  .send-test-button {
    color: $primary;
    border: none;
    background: none !important;
    padding-left: 0;
  }

  .send-test-button:hover {
    color: #00658c;
  }

  .send-test-button:focus,
  .send-test-button:active,
  .send-test-button:focus:active {
    outline: none;
    -webkit-box-shadow: none;
    box-shadow: none;
  }
}

.error-text {
  margin-top: 4px;
  div, p,
  fa-icon {
    color: $red !important;
    margin-bottom: 0;
  }

  fa-icon {
    font-size: 16px;
    margin-right: 6px;
    margin-left: 0;
  }
}

.success-text {
  margin-top: 4px;
  div, p,
  fa-icon {
    color: $green !important;
    margin-bottom: 0;
  }

  fa-icon {
    font-size: 16px;
    margin-right: 6px;
    margin-left: 0;
  }
}

.button-bottom-div {
  display: flex;

  button {
    margin-left: auto;
    margin-bottom: 2rem;
  }
}

.progress-spinner-span {
  display: flex;
  color: $primary !important;

  p {
    border-right: none !important;
  }
}

.button-bottom-div {
  display: flex;

  button {
    margin-left: auto;
    margin-bottom: 2rem;
  }
}
